For the complete documentation index, see llms.txt. This page is also available as Markdown.

Users

Get Users.

get

Requires permission User View. Returns users for the current tenant and including roles for all legal entities.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Users
GET /Users HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "roles": [
        {
          "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
          "legalEntityName": "text",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "description": "text"
        }
      ],
      "id": "text",
      "firstName": "text",
      "lastName": "text",
      "title": "text",
      "culture": "text",
      "email": "text",
      "userName": "text",
      "active": true,
      "isLegacyApiUser": true
    }
  ]
}

Get Users by role Id.

get

Requires permission User View. Returns users for the current tenant and including roles for all legal entities.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
roleIdstring · uuidRequired

role Id

Query parameters
legalEntityIdstring · uuidOptional

Filter on users with role on a specific legal entity

Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Users/ByRole/{roleId}
GET /Users/ByRole/{roleId} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "roles": [
        {
          "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
          "legalEntityName": "text",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "description": "text"
        }
      ],
      "id": "text",
      "firstName": "text",
      "lastName": "text",
      "title": "text",
      "culture": "text",
      "email": "text",
      "userName": "text",
      "active": true,
      "isLegacyApiUser": true
    }
  ]
}

Get User by id.

get

Requires permission User View.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · nullableOptional
firstNamestring · nullableOptional
lastNamestring · nullableOptional
titlestring · nullableOptional
culturestring · nullableOptional
emailstring · nullableOptional
userNamestring · nullableOptional
activebooleanOptional
isLegacyApiUserbooleanOptional
get/Users/{id}
GET /Users/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "roles": [
    {
      "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
      "legalEntityName": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text"
    }
  ],
  "id": "text",
  "firstName": "text",
  "lastName": "text",
  "title": "text",
  "culture": "text",
  "email": "text",
  "userName": "text",
  "active": true,
  "isLegacyApiUser": true
}

Get User Roles.

get

Requires permission User View.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Users/roles
GET /Users/roles HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "permissions": [
        {
          "name": "text",
          "description": "text",
          "group": "text"
        }
      ],
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text"
    }
  ]
}

Get user Role by id.

get

Requires permission User View.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
namestring · nullableOptional
descriptionstring · nullableOptional
get/Users/roles/{id}
GET /Users/roles/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "permissions": [
    {
      "name": "text",
      "description": "text",
      "group": "text"
    }
  ],
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text"
}

Assign a role for a user.

post

Requires permission User Update. The Role field accepts either a role GUID or role name.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
userIdstringRequired

User id

rolestringRequired

Role (id or name) to be assignment

Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Responses
200

Success

application/json
idstring · nullableOptional
firstNamestring · nullableOptional
lastNamestring · nullableOptional
titlestring · nullableOptional
culturestring · nullableOptional
emailstring · nullableOptional
userNamestring · nullableOptional
activebooleanOptional
isLegacyApiUserbooleanOptional
post/Users/{userId}/roles/{role}
POST /Users/{userId}/roles/{role} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "roles": [
    {
      "legalEntityId": "123e4567-e89b-12d3-a456-426614174000",
      "legalEntityName": "text",
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "description": "text"
    }
  ],
  "id": "text",
  "firstName": "text",
  "lastName": "text",
  "title": "text",
  "culture": "text",
  "email": "text",
  "userName": "text",
  "active": true,
  "isLegacyApiUser": true
}

Remove a role assignment from a user.

delete

Requires permission User Update. The user must retain at least one role after the deletion.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
userIdstringRequired

User id

rolestringRequired

Role (id or name) to be removed

Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Responses
200

Success

No content

delete/Users/{userId}/roles/{role}
DELETE /Users/{userId}/roles/{role} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content


Last updated